# $Revision: 1.11.4.4 $, $Date: 2011/10/21 11:08:18 $
Summary:	GData access library
Name:		libgdata
Version:	0.6.6
Release:	3
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgdata/0.6/%{name}-%{version}.tar.bz2
# Source0-md5:	17e736759dea67d5e9d919fab57fe703
URL:		http://live.gnome.org/libgdata
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.20.0
BuildRequires:	gnome-common
BuildRequires:	gobject-introspection-devel >= 0.9.7
BuildRequires:	gtk+2-devel
BuildRequires:	gtk-doc
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libsoup-gnome-devel >= 2.26.1
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgdata is a GLib-based library for accessing online service APIs
using the GData protocol - most notably, Google's services. It
provides APIs to access the common Google services, and has full
asynchronous support.

%package devel
Summary:	Support files necessary to compile applications with libgdata
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libsoup-devel
Requires:	libxml2-devel >= 1:2.6.26

%description devel
Headers, and support files necessary to compile applications using
libgdata.

%package static
Summary:	libgdata static libraries
Summary(pl.UTF-8):	Statyczne biblioteki libgsf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Package contains static libraries.

%package apidocs
Summary:	libgdata API documentation
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libgdata API documentation.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgdata.la

%find_lang gdata

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f gdata.lang
%defattr(644,root,root,755)
%doc AUTHORS README NEWS
%attr(755,root,root) %{_libdir}/libgdata.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdata.so.7
%{_libdir}/girepository-1.0/GData-0.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgdata.so
%{_datadir}/gir-1.0/GData-0.0.gir
%{_includedir}/libgdata
%{_pkgconfigdir}/libgdata.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgdata.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gdata

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgdata.spec,v $
Revision 1.11.4.4  2011/10/21 11:08:18  hawk
- reverted unnecessary epoch bump

Revision 1.11.4.3  2011/06/09 18:55:14  lisu
- epochs in subpackages
- rel 2

Revision 1.11.4.2  2011/06/09 18:47:33  lisu
- Epoch: 1

Revision 1.11.4.1  2011/06/09 18:42:10  lisu
- dropped libtool file

Revision 1.11  2010/12/17 09:47:24  caleb
- Up to 0.6.6

Revision 1.10  2010/09/30 13:40:58  megabajt
- updated to 0.6.5

Revision 1.9  2010/08/23 21:50:04  hawk
- release 2

Revision 1.8  2010/03/30 19:15:30  megabajt
- updated to 0.6.4

Revision 1.7  2010/03/19 23:02:26  megabajt
- updated to 0.6.3

Revision 1.6  2010/02/21 15:56:43  megabajt
- updated to 0.6.2
- proper URL

Revision 1.5  2010/02/18 00:25:29  sparky
- BR: gir-repository-devel

Revision 1.4  2010/02/17 17:11:33  megabajt
- updated to 0.6.1 (new soname)

Revision 1.3  2009/11/17 14:36:46  zbyniu
- missing BRs

Revision 1.2  2009/07/21 08:15:55  patrys
- 0.4.0

Revision 1.1  2009/05/28 12:16:58  patrys
- initial PLD release
